• 技术文章 >后端开发 >PHP问题

    怎么修改默认的php版本

    藏色散人藏色散人2023-01-20 09:32:40原创108

    修改默认php版本的方法:1、通过“yum list installed | grep php”查看安装信息;2、使用“yum remove php”卸载PHP;3、更换RPM源;4、通过“yum install -y”安装所需的PHP版本即可。

    本教程操作环境:centOS 7系统、PHP7.1版、DELL G3电脑

    怎么修改默认的php版本?

    centOS 7修改默认的PHP版本

    在linux服务器上搭建LAMP或者LNMP环境的时候,在安装PHP的过程中,如果直接使用yum install php 的命令就会默认安装php 5.4.*版本。若想安装php 7.*版本,有两种方法,如下:

    (1)使用下载相应的PHP源码包进行编译安装(本次不进行讲解)。

    在使用编译安装的时候,注意配置好各个路径。

    (2)修改源,使用yum命令进行安装。

    1)查看本机是否安装了PHP旧版本,若有则进行移除

    1、yum list installed | grep php #查看安装信息

    2、yum remove php #卸载PHP

    3 、还需要卸载PHP的依赖环境 使用yum remove 软件名字 一个一个进行删除,注意各个依赖顺序。在删除的时候提出该软件依赖其他软件,则先卸载后者。以此类推。

    2)更换RPM源

    rpm -Uvh https://mirror.webtatic.com/yum/el7/epel-release.rpm
    rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm

    3)开始安装PHP版本

    1、安装PHP 7.1.*

    yum install -y php71w php71w-cli php71w-common php71w-devel php71w-embedded php71w-fpm php71w-gd php71w-mbstring php71w-mysqlnd php71w-opcache php71w-pdo php71w-xml php71w-ldap php71w-mcrypt

    2、安装PHP 7.2

    yum install -y php72w php72w-cli php72w-common php72w-devel php72w-embedded php72w-fpm php72w-gd php72w-mbstring php72w-mysqlnd php72w-opcache php72w-pdo php72w-xml php72w-ldap php72w-mcrypt

    3查看PHP版本

    php -v

    7da4f168210c836e1a6c973c3bfbffb3.png

    推荐学习:《PHP视频教程

    以上就是怎么修改默认的php版本的详细内容,更多请关注php中文网其它相关文章!

    声明:本文内容由网友自发贡献,版权归原作者所有,本站不承担相应法律责任。如您发现有涉嫌抄袭侵权的内容,请联系admin@php.cn核实处理。
    专题推荐:php
    上一篇:php怎么实现转换为日期 下一篇:自己动手写 PHP MVC 框架(40节精讲/巨细/新人进阶必看)

    相关文章推荐

    • 一文详解PHP5-8各版本特性【汇总】• 快速了解PHP7.X各版本的新特性• php v 版本不对怎么办• ThinkPHP发布安全更新版本啦(V6.1.0/V6.0.14)• php-v版本不一致怎么办
    1/1

    PHP中文网